# pygccxml.declarations.byte_info module

class byte_info

  Bases: `object`

  This class stores information about the byte size and byte align values from a declaration/type.

  property byte_align

    Alignment of this declaration/type in bytes

    Returns

      Alignment of this declaration/type in bytes

    Return type

      int

  property byte_size

    Size of this declaration/type in bytes

    Returns

      Size of this declaration/type in bytes

    Return type

      int